​
Select Service
ves-io-schema-cluster-API-Get
Published April 5, 2023 | Last modified June 15, 2026
Examples of getting cluster
Usecase:
Get productpage-cluster from current namespace
Request using vesctl:
vesctl configuration get cluster productpage-cluster --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: productpage-cluster namespace: documentationreferringObjects: []resourceVersion: "781"spec: defaultSubset: {} endpointSubsets: [] endpoints: - kind: endpoint name: productpage-endpoint namespace: documentation tenant: acmecorp healthChecks: - kind: healthcheck name: productpage-healthcheck namespace: documentation tenant: acmecorp loadbalancerAlgorithm: RANDOM tlsParameters: commonParams: cipherSuites: [] tlsCertificates: - certificateUrl: string:///<Base64> privateKey: {} defaultSessionKeyCaching: {} sni: productpage.internal.bookinfo.comstatus: []systemMetadata: creationTimestamp: "2026-04-13T01:59:17.990896Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: fdcbc83f-956c-4e54-a7f4-0eba0033d241Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/clusters/productpage-cluster?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:17 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "781", "metadata": { "name": "productpage-cluster", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "fdcbc83f-956c-4e54-a7f4-0eba0033d241", "creation_timestamp": "2026-04-13T01:59:17.990896Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "endpoints": [ { "kind": "endpoint", "uid": "", "tenant": "acmecorp", "namespace": "documentation", "name": "productpage-endpoint" } ], "health_checks": [ { "kind": "healthcheck", "uid": "", "tenant": "acmecorp", "namespace": "documentation", "name": "productpage-healthcheck" } ], "loadbalancer_algorithm": "RANDOM", "circuit_breaker": null, "endpoint_subsets": [ ], "default_subset": { }, "fallback_policy": "NO_FALLBACK", "tls_parameters": { "common_params": { "minimum_protocol_version": "TLS_AUTO", "maximum_protocol_version": "TLS_AUTO", "cipher_suites": [ ], "tls_certificates": [ { "certificate_url": "string:///\u003cBase64\u003e", "private_key": { "blindfold_secret_info_internal": null, "secret_encoding_type": "EncodingNone" }, "description": "" } ], "trusted_ca_url": "", "validation_params": null }, "sni": "productpage.internal.bookinfo.com", "default_session_key_caching": {
} }, "connection_timeout": 0, "http_idle_timeout": 0, "outlier_detection": null, "endpoint_selection": "DISTRIBUTED", "header_transformation_type": null, "upstream_conn_pool_reuse_type": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}